com.microfocus.awm.meta.modelextension

## Class SimpleModelExtensionAttribute

- java.lang.Object
- - com.microfocus.awm.meta.modelextension.ModelExtensionObject
  - - com.microfocus.awm.meta.modelextension.SimpleModelExtensionAttribute

- Direct Known Subclasses:
    AbstractModelExtensionAtribute, StringModelExtensionAttribute

      public class SimpleModelExtensionAttribute
      extends ModelExtensionObject

  Abstract base class for model extension attributes.

  Copyright Micro Focus GmbH.

  Author:
    Ralf Pakosch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleModelExtensionAttribute(java.lang.String pID, java.lang.String pLabel, boolean pMandatory, java.lang.String pCategory, java.lang.String pDescription, boolean pModelLabel, FunctionPackageExtension pFunctionPackage)` Advanced constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCategory()` Gets the the category.
    `java.lang.String` | `getDescription()` Gets the attribute description.
    `boolean` | `isMandatory()` Gets whether the attribute is mandatory.
    `boolean` | `isMultiLine()` Gets whether the attribute supports multiline input.
    `void` | `setMultiLine(boolean pMultiLine)` Sets whether the attribute supports multiline input.

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ModelExtensionObject

      `getFunctionPackageExtension, getHelpContextId, getID, getLabel, isDeprecated, setDeprecated, setHelpContextId, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleModelExtensionAttribute

          public SimpleModelExtensionAttribute(java.lang.String pID,
                                               java.lang.String pLabel,
                                               boolean pMandatory,
                                               java.lang.String pCategory,
                                               java.lang.String pDescription,
                                               boolean pModelLabel,
                                               FunctionPackageExtension pFunctionPackage)

      Advanced constructor.
      Parameters:
        `pID` - the attribute ID
        `pLabel` - the label
        `pMandatory` - whether the attribute is mandatory
        `pCategory` - the category
        `pDescription` - the attribute description
        `pModelLabel` - whether the attribute should be displayed in the object label in the model editor
        `pFunctionPackage` - the defining function package

  - ### Method Detail

    - #### getCategory

          public java.lang.String getCategory()

      Gets the the category.
      Returns:
        the category

    - #### getDescription

          public java.lang.String getDescription()

      Gets the attribute description.
      Returns:
        the attribute description

    - #### isMandatory

          public boolean isMandatory()

      Gets whether the attribute is mandatory.
      Returns:
        `true` if the attribute is mandatory, `false` if it's optional

    - #### setMultiLine

          public void setMultiLine(boolean pMultiLine)

      Sets whether the attribute supports multiline input.
      Parameters:
        `pMultiLine` - sets whether the attribute supports multiline input or not.

    - #### isMultiLine

          public boolean isMultiLine()

      Gets whether the attribute supports multiline input.
      Returns:
        whether the attribute supports multiline input.

Copyright © 2015 Micro Focus GmbH. All rights reserved.